Ubuntu

kernel disables irq after 10 minutes

Reported by Don Spaulding II on 2007-07-16
72
Affects Status Importance Assigned to Milestone
Linux
Invalid
Medium
linux (Ubuntu)
High
Unassigned
Declined for Gutsy by Henrik Nilsen Omma
Hardy
High
Unassigned
linux-source-2.6.22 (Ubuntu)
Medium
Unassigned
Declined for Gutsy by Henrik Nilsen Omma
Hardy
Medium
Unassigned

Bug Description

I'm currently running Gutsy on a Lenovo Thinkpad T61, and have been for two weeks, updating daily, currently up to date and running 2.6.22-7-generic #1 SMP on a core 2 duo system. About 10 minutes after every boot I get the following message logged to my gnome-terminal window:

Message from syslogd@isengard at Mon Jul 16 09:52:32 2007 ...
isengard kernel: [ 649.272000] Disabling IRQ #23

I assume 649 is the number of seconds from boot time, since that works out to be about the same time.

don@isengard:~$ grep 649 /var/log/syslog
Jul 16 09:52:32 isengard kernel: [ 649.272000] irq 23: nobody cared (try booting with the "irqpoll" option)
Jul 16 09:52:32 isengard kernel: [ 649.272000] [__report_bad_irq+36/128] __report_bad_irq+0x24/0x80
Jul 16 09:52:32 isengard kernel: [ 649.272000] [clockevents_program_event+136/256] clockevents_program_event+0x88/0x100
Jul 16 09:52:32 isengard kernel: [ 649.272000] [note_interrupt+610/672] note_interrupt+0x262/0x2a0
Jul 16 09:52:32 isengard kernel: [ 649.272000] [<f88e66b2>] usb_hcd_irq+0x22/0x60 [usbcore]
Jul 16 09:52:32 isengard kernel: [ 649.272000] [handle_IRQ_event+48/96] handle_IRQ_event+0x30/0x60
Jul 16 09:52:32 isengard kernel: [ 649.272000] [handle_fasteoi_irq+187/240] handle_fasteoi_irq+0xbb/0xf0
Jul 16 09:52:32 isengard kernel: [ 649.272000] [do_IRQ+59/112] do_IRQ+0x3b/0x70
Jul 16 09:52:32 isengard kernel: [ 649.272000] [enqueue_hrtimer+107/272] enqueue_hrtimer+0x6b/0x110
Jul 16 09:52:32 isengard kernel: [ 649.272000] [common_interrupt+35/48] common_interrupt+0x23/0x30
Jul 16 09:52:32 isengard kernel: [ 649.272000] [<f884e977>] acpi_processor_idle+0x246/0x41f [processor]
Jul 16 09:52:32 isengard kernel: [ 649.272000] [<f884e731>] acpi_processor_idle+0x0/0x41f [processor]
Jul 16 09:52:32 isengard kernel: [ 649.272000] [cpu_idle+83/224] cpu_idle+0x53/0xe0
Jul 16 09:52:32 isengard kernel: [ 649.272000] [start_kernel+799/944] start_kernel+0x31f/0x3b0
Jul 16 09:52:32 isengard kernel: [ 649.272000] [unknown_bootoption+0/608] unknown_bootoption+0x0/0x260
Jul 16 09:52:32 isengard kernel: [ 649.272000] =======================
Jul 16 09:52:32 isengard kernel: [ 649.272000] handlers:
Jul 16 09:52:32 isengard kernel: [ 649.272000] [<f88e6690>] (usb_hcd_irq+0x0/0x60 [usbcore])
Jul 16 09:52:32 isengard kernel: [ 649.272000] Disabling IRQ #23
don@isengard:~$

AFAIK, it always logs the same IRQ. I'm not sure if this is causing random crashes in some programs. No noticeable loss of functionality when this gets disabled. I'm also completely willing to help troubleshoot this "live" over IM/IRC anytime.

The only way I know of to repro the error:
--Buy a Lenovo T61
--Install Gutsy tribe 2 and update to the latest packages
--Boot the installed system
--open up gnome-terminal before the message gets logged
--grep the_timestamp_logged_in_gnome_terminal /var/log/syslog

description: updated
Brian Murray (brian-murray) wrote :

Thanks for taking the time to report this bug and helping to make Ubuntu better. This bug did not have a package associated with it, which is important for ensuring that it gets looked at by the proper developers. You can learn more about finding the right package at https://wiki.ubuntu.com/Bugs/FindRightPackage . I have classified this bug as a bug in linux-source-2.6.22.

Brian Murray (brian-murray) wrote :

Thanks for taking the time to report this bug and helping to make Ubuntu better. Have you tried booting with the irqpoll option? Thanks in advance.

Changed in linux-source-2.6.22:
assignee: nobody → brian-murray
status: New → Incomplete

I haven't tried that (and feel a bit sheepish since I did see that in
the log). What should I be looking for? Or is that just an option that
might fix it completely?

Brian Murray wrote:
> Thanks for taking the time to report this bug and helping to make Ubuntu
> better. Have you tried booting with the irqpoll option? Thanks in
> advance.
>
> ** Changed in: linux-source-2.6.22 (Ubuntu)
> Assignee: (unassigned) => Brian Murray
> Status: New => Incomplete
>
>

Brian Murray (brian-murray) wrote :

It might fix it completely and if it does that would be good information for us to have. There is some information about modify boot options in Grub at https://help.ubuntu.com/community/GrubHowto#head-7d876114f64c154224630a01c0bd9c4d335e931d . Thanks!

Well, it looks like when I add "irqpoll" after "savedefault" in the grub
menu, try to boot, and my laptop blinks a cursor at the top left for
about 5 seconds before restarting. Any other ideas?

Brian Murray wrote:
> It might fix it completely and if it does that would be good information
> for us to have. There is some information about modify boot options in
> Grub at https://help.ubuntu.com/community/GrubHowto#head-
> 7d876114f64c154224630a01c0bd9c4d335e931d . Thanks!
>
>

Brian Murray (brian-murray) wrote :

The "irqpoll" option is a kernel arguement so it needs to be appended to the kernel line of grub. So it should look something like:

kernel /boot/vmlinux-2.6.22-8-generic root=UUID=stuffhere ro resume=UUID=stuffhere irqpoll

Ah, ok, I'll try this tonight and email you tomorrow if not before.
Sorry this is slow going, I do use this laptop for work so I'm usually
fairly busy with it during the day. Thanks for the help so far, though!

Brian Murray wrote:
> The "irqpoll" option is a kernel arguement so it needs to be appended to
> the kernel line of grub. So it should look something like:
>
> kernel /boot/vmlinux-2.6.22-8-generic root=UUID=stuffhere ro
> resume=UUID=stuffhere irqpoll
>
>

Sorry it's taken so long to write back. I'm unable to get repeatable
results when booting with the irqpoll option. If I boot with it, it often
hangs for > 15 minutes at the "Reading files necessary for boot" step and
then again at the "Preparing Restricted Drivers" step. Then once I do get
up gdm is flaky Without irqpoll, it flies right past both of those (since I
don't require any restricted drivers).. Is there something I can do to boot
with irqpoll, save off some helpful data, then boot up without it?

On 7/19/07, Don Spaulding II <email address hidden> wrote:
>
> Ah, ok, I'll try this tonight and email you tomorrow if not before.
> Sorry this is slow going, I do use this laptop for work so I'm usually
> fairly busy with it during the day. Thanks for the help so far, though!
>
> Brian Murray wrote:
> > The "irqpoll" option is a kernel arguement so it needs to be appended to
> > the kernel line of grub. So it should look something like:
> >
> > kernel /boot/vmlinux-2.6.22-8-generic root=UUID=stuffhere ro
> > resume=UUID=stuffhere irqpoll
> >
> >
>

--

Don Spaulding II
309-824-2754

antikristian (antikristian) wrote :

I can confirm that the error is also present on a T61 with Feisty

Changed in linux-source-2.6.22:
assignee: brian-murray → ubuntu-kernel-team
importance: Undecided → Medium
status: Incomplete → Triaged
Marius Gedminas (mgedmin) wrote :

There is a slight loss of functionality after you get this message on a T61 laptop: the two USB ports on the right side don't detect newly plugged in devices immediately (they work if you wait a few minutes). The USB port on the left side is unaffected.

Michael R. Head (burner) wrote :

Confirmed on a T61P with both feisty and gutsy.

Also, I'm not sure for the others that get this error, but my laptop has the
onboard Intel 1GB TurboMemory option from Lenovo. This appears to be USB
related, and I believe that TurboMemory sits on the USB bus, doesn't it?

On 8/17/07, Michael R. Head <email address hidden> wrote:
>
> Confirmed on a T61P with both feisty and gutsy.
>
> --
> kernel disables irq after 10 minutes
> https://bugs.launchpad.net/bugs/126369
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--

Don Spaulding II
309-824-2754

Marius Gedminas (mgedmin) wrote :

I don't have TurboMemory in my T61. I have a fingerprint reader which sits on the USB bus (and I've installed thinkfinger from source). I also have a 4-in-1 card reader, which sits behind the CardBus bridge, and doesn't have drivers, AFAIK.

Sometimes I get IRQ 21: nobody cared. Sometimes I get IRQ 23: nobody cared. In both cases /proc/interrupts says that IRQ is assigned to ehci_hcd:usb7.

I've just booted with the irqpoll kernel option and again it hangs at the
"Preparing Restricted Drivers" step for about 10 minutes. Aside from that,
nothing appears any different from the output previously posted, except that
I don't receive any warnings about disabling irq 23. I would consider this
an acceptable workaround if it wasn't for the 10 minute boot-up time.
Here's the info I have one more time (this is while running with the irqpoll
kernel option):

don@isengard:~$ grep 23 /proc/interrupts
 23: 52076 47057 IO-APIC-fasteoi ehci_hcd:usb7

don@isengard:~$ grep ehci_hcd /proc/interrupts
 18: 3 0 IO-APIC-fasteoi ehci_hcd:usb6
 23: 56332 50716 IO-APIC-fasteoi ehci_hcd:usb7

don@isengard:~$ sudo lshw|grep -B 10 ehci_hcd
        *-usb:2
             description: USB Controller
             product: 82801H (ICH8 Family) USB2 EHCI #2
             vendor: Intel Corporation
             physical id: 1a.7
             bus info: pci@0000:00:1a.7
             version: 03
             width: 32 bits
             clock: 33MHz
             capabilities: pm debug ehci bus_master cap_list
             configuration: driver=ehci_hcd latency=0 module=ehci_hcd
--
        *-usb:6
             description: USB Controller
             product: 82801H (ICH8 Family) USB2 EHCI #1
             vendor: Intel Corporation
             physical id: 1d.7
             bus info: pci@0000:00:1d.7
             version: 03
             width: 32 bits
             clock: 33MHz
             capabilities: pm debug ehci bus_master cap_list
             configuration: driver=ehci_hcd latency=0 module=ehci_hcd

I've also attached /var/log/messages in case it is helpful.

--

Don Spaulding II
309-824-2754

Nemanja Stefanovic (nemik) wrote :

I am also able to confirm this on a Thinkpad T61 with the latest kernel and updates on Gutsy. USB ports stopping to work every 10 minutes on a very popular business laptop should be a little more than 'medium importance' IMO.

A slight remedy I found for this is to unload/reload the kernel module for the USB which seems to bring it back up:
sudo modprobe -r --force ehci-hcd
sudo modprobe ehci-hcd

I get this as well also on a T61 and see exactly the same symptoms with respect to USB ports, same kernel trace etc. In my case the interrupt is always 19.

Just saw this bug, I have been experiencing the same message on a dual p3 800mhz server-system. I initialy thought it had to do with apparmor.

Christoph Lechleitner (lech) wrote :

It seems I do not have this problem on my T61p.
However, when I turned it on for the very first time last week, I changed the BIOS settings (for PCI->IRQ assignment) from "IRQ 11" (for every single one of the ~8 listed devices or channels) to "Auto", just on an old Geek's instinct.
If the BIOS is serious about running everything through IRQ11, any OS has the right to be irritated.
What does your /proc/interrupts tell you? (Applies to all T6x users here)

I also have that bios setting to auto and the bug does affect me. I don't know if you have to actually use a USB device to trigger the problem. I use thinkfinger which uses the USB fingerprint reader.

Christoph Lechleitner (lech) wrote :

The only USB device I use regular is an external mouse.
It might even be that my kernel also disables the IRQ but lacks negative effects.
I am gonna take a look to my logs when I am back in office some time tomorrow.

Nemanja Stefanovic (nemik) wrote :

For me this occurs whether or not I have any USB devices plugged in. The IRQ's vary between 22 and 23 somtimes.

An easy way to see this is to just start a terminal on start-up and leave it running. After 10 minutes or so T61 users would probably see a message about it. Or just look at kernel logs, either way.

Also, my T61 is set to IRQ 11 in BIOS. I suppose I could put all those to auto but it seems that didn't help other people.

Lothar (lothar-tradescape) wrote :

I experienced the same problem on my T61p with Gutsy Tribe 5 (x86_64) and the IRQ mentioned is 19

Christian Lachner (gladiac) wrote :

I also have this problem with the current gutsy using kernel 2.6.22-10-generic. In my case it's irq #23. Would be great to have this fixes until final :). Maybe it helps to use the current iwl4965-driver from intellinuxwireless.org. But I still think there is something else...

I'm currently running a vanilla 2.6.23-rc5 with the newest snapshot from intellinuxwireless.org, and I still have the problem. So I don't think a newer version of iwlwifi is going to help.

I just reblasted my T61 with 32 bit Gutsy and the IRQ reported is 23. So it looks like the 19 vs 23 thing is 64 bit vs 32 bit kernel.

Marius Gedminas (mgedmin) wrote :

The time is not necessarily 10 minutes. I've seen this message at 632, 635, 979, 23529 and 99848 seconds of uptime, according to dmesg.

Nemanja Stefanovic (nemik) wrote :

I just updated from the repo's and the new 2.6.22.10.11 version does not fix the bug either.

Christian Lachner (gladiac) wrote :

I can agree to this. Yesterday I also experienced that after irq 21 got disabled by the kernel (?) also the irq 22 got turned off about half an hour later followed by a hang-up of my T61. Maybe it has something to do with the bluetooth-dongle? I don't even know how it is connected to the mainboard. (!usb, !pci) My Machine also has the intel turbo memory card installed which sits on one of the 2 mini-pcie slots under the keyboard. (But I don't think it has something to do with it) From what I can say after irq21 disables wifi still works... Since this issues only happens when the killswitch is turned off (wifi and bluetooth --> on) it could really be a problem with the bluetooth dongle. What else does this switch do? AFAIK it just calls an acpi-event... Please correct me if something is not correct in my statement.

Brian Elliott Finley (finley) wrote :

Here's a "me too". T61. I get the "Disabling IRQ #23" message with both Gutsy (tribe 5) and Feisty. Irqpoll causes unreasonably long boot lag, and even if it does work, is not a reasonable solution.

Snike (b30sam) wrote :

This is a me too also. However I have a integrated camera too. The camera stops working at the same time the USBs on the left side stop working. All of this happens after the irq message in dmesg
[ 1880.636000] irq 23: nobody cared (try booting with the "irqpoll" option)
[ 1880.636000] [<c015b5d4>] __report_bad_irq+0x24/0x80
[ 1880.636000] [<c015b892>] note_interrupt+0x262/0x2a0
[ 1880.636000] [<f88b16c2>] usb_hcd_irq+0x22/0x60 [usbcore]
[ 1880.636000] [<c015aaf0>] handle_IRQ_event+0x30/0x60
[ 1880.636000] [<c015c27b>] handle_fasteoi_irq+0xbb/0xf0
[ 1880.636000] [<c0106b1b>] do_IRQ+0x3b/0x70
[ 1880.636000] [<c013eb5b>] enqueue_hrtimer+0x6b/0x110
[ 1880.636000] [<c0105223>] common_interrupt+0x23/0x30
[ 1880.636000] [<f8862977>] acpi_processor_idle+0x246/0x41f [processor]
[ 1880.636000] [<f8862731>] acpi_processor_idle+0x0/0x41f [processor]
[ 1880.636000] [<c0102413>] cpu_idle+0x53/0xe0
[ 1880.636000] [<c03e3a85>] start_kernel+0x325/0x3b0
[ 1880.636000] [<c03e31f0>] unknown_bootoption+0x0/0x260
[ 1880.636000] =======================
[ 1880.636000] handlers:
[ 1880.636000] [<f88b16a0>] (usb_hcd_irq+0x0/0x60 [usbcore])
[ 1880.636000] Disabling IRQ #23

The lsusb had the following for the camera
Bus 007 Device 002: ID 17ef:1004
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 2.00
  bDeviceClass 239 Miscellaneous Device
  bDeviceSubClass 2 Common Class
  bDeviceProtocol 1 Interface Association
  bMaxPacketSize0 64
  idVendor 0x17ef
  idProduct 0x1004
  bcdDevice 3.20
  iManufacturer 2 Chicony Electronics Co., Ltd.
  iProduct 1 Integrated Camera
  iSerial 3 SN0001
  bNumConfigurations 1

I installed Gutsy Tribe 4 and have been keeping my ubuntu updated with the latest updates. 2.6.22-12-generic is my kernel.
Please let me know if you need any more information

Happens here too on a brand new T61 with irq 23, pretty much same backtrace, with latest kernel from gutsy.

It looks like an upstream bug as it happens on a co-worker's X61 as well with 2.6.23-rc8

Also, irqpoll is at best a workaround to help tracking things, I wouldn't recommend actually -using- a machine that way :-)

A possible better workaround is to use "noapic". It sucks a lot less and seem to have cured it for me so far.

Still not an optimal solution though, the root cause need to be tracked down, though it may well be a BIOS bug
providing incorrect routing tables.

Can you guys try that and see if it helps ?

Paul (pault-telus) wrote :

I'm using the T61 with Debian Etch, Kernel 2.6.18-5-686 and I have the exact same problem.

I could be wrong but it only appears to happen when the wireless/bluetooth switch is ON. Otherwise everything appears stable. Do others make the same observation?

I'm also setup for dual boot into XP (took Vista off the HD within 1 day). Sometimes the T61 boots into XP with an unresponsive keyboard and trackpads. Plugging in an external keyboard seems to reset it and it then works again. Again, in this case I'm talking about booting in XP. Related issue (i.e. a hardware issue)?

I've been discussing with the ACPI maintainer, I'll do a couple of tests with upstream kernels and file a bugzilla.kernel.org report. In the meantime, he's secured a T61 and will investigate the issues ASAP. It could be a BIOS bug tho. Once we've found the root cause and possible workaround, one can look into backporting to gutsy I suppose.

A report for this bug already exists on bugzilla.kernel.org:

http://bugzilla.kernel.org/show_bug.cgi?id=8853

Ah, thanks Klaus. Let's follow up there

Snike (b30sam) wrote :

Hi guys,
I tried the suggestion to turn off bluetooth given in one of the posts on the bugzilla thread above. My integrated cam and the USB ports all work fine even after 3 hours of turning the machine on.
For the T61 to turn of bluetooth, use the slider switch given near the firewire port. Just slide the switch to your left. This turns off the bluetooth, but keeps the wifi on.
I know this is not the ideal solution but works for me as I dont use bluetooth much.

Rubin (rubin) wrote :

Recently upgraded to Gutsy on my T61 with intel wifi, was seeing the above syslog messages. I set all the IRQ's from factory default of 11 to auto in the bios, and it seems to have solved it for me... for what its worth.
  -Rubin

makes no difference here. can you verify you don't have irq counting like crazy on GSI 19 (on the ehci) whenever bluetooth is active?

Robbob (rob-kirkbride) wrote :

Strange. I made the change suggested by Rubin setting the IRQs to Auto.

Initially when I tried it I was running on battery and it didn't make any difference (it still produced the error).
This morning I'm running on mains and the problem doesn't now occur.

Ajnasz (ajnasz-ajnasz) wrote :

I have the same problem on my ThinkPad R61 with Gutsy, generic kernel. I updated the BIOS, changed the IRQ's from 11 to auto, but unfortunately nothing has changed.
There is 3 USB, 1 on the left side 2 on the right side of the notebook. The USB on the left side is working always but the 2 others are gets disabled. I use an usb mouse, which works properly, after the kernel message too, but when I plug out then plug in it doesn't.

I'm having the same problem as ajnasz.
I get a Disabling IRQ #19 (64bit)

gigerk (ubuntu-kgmw) wrote :

Has already somebody tried to somehow disable or avoid the D3 state (full sleep state) of the host controller? E.g. by modifying the kernel sources...

The chip isn't in D3 state here and the problem is still there.

gigerk (ubuntu-kgmw) wrote :

'irqfixup' kernel option also doesn't help :-(

gigerk (ubuntu-kgmw) wrote :

by the way kernel 2.6.24-rc1, newest iwlwifi and newest BIOS for T61p doesn't solve the problem...

relik (dkennedy) wrote :

Can someone elevate the priority? How is this a medium if I can't use two of my usb ports? Anyone else know of a workaround?

I have the same (type of) error on a T61 with kernel 2.6.22-14-generic.
The single USB Port on the right works all the time. The two USB-Ports on the left sometimes don't work. I couldn't figure out any regularity, when the ports get disabled.
However, when I reload the kernel module for USB with 'sudo modprobe -r --force ehci-hcd' the USB ports work again, also for a longer period than 10 min. (thx to Nemanja Stefanovic tip!)

Paul C. Bryan (pbryan) wrote :

@relik:
I have successfully worked around this problem by adding irqpoll to my kernel parameters.

1. Add "irqpoll" to the line beginning with:
# defoptions=quiet...

2. Run:
sudo update-grub

3. Reboot

Since I added irqpoll, the two USB ports on my ThinkPad X61 remain active. I've used it for days with this setting, and suspended/resumed many times. USB ports remain up.

My usb ports now also work, after having done what Paul Bryan posted. Thanks!!

Marius Gedminas (mgedmin) wrote :

One interesting thing: every time this happens, the total number of interrupts for that IRQ is a nice round number (100001) if you add up the counts for each CPU in /proc/interrupts.

Paul C. Bryan (pbryan) wrote :

@Marius:

Wow, good catch!

Changed in linux:
status: Unknown → In Progress
Marius Gedminas (mgedmin) wrote :

I cannot claim credit for the round-number observation; I'd just read the first few comments in the kernel.org bugzilla and noticed that one poster there mentioned he saw a different round number (200001).

The rest of the comments in the upstream bug indicate that this bug has been pretty much debugged to death: when the built-in bluetooth (which is connected to the low-speed USB controller) is enabled, the high-speed USB controller gets a steady stream of ~200 fake interrupts per second, and after a certain limit (100000 AFAIU) the kernel gives up and disables that IRQ. Why it happens nobody knows, and we probably need feedback from Lenovo engineers to figure it out.

chri7 (ccrstudent01) wrote :

The same here - is this going to get fixed someday - on the official Kernel Bug Tracker there is no progress sinde September :( Or am I monitoring the wrong Bug (http://bugzilla.kernel.org/show_bug.cgi?id=8853)? chris

Jeremy Bar (j.b) wrote :

I am getting the same with my Asus K8V-VM system.

The interesting thing is that IRQ 23 is my on board Ethernet card, and it gets disabled after 100001 interrupts. It seems like the incrementation of the interrupts on the Ethernet controller aren't due to network traffic but rather from the interrupt activity of my Nvidia graphics controller on IRQ 24.

This problem can be avoided by adding noapic to the kernel command line, but in this case, the system is slightly slower and I get a high number ERR: in /proc/interrupts

Attached are the dmidecode and lshw outputs.

           CPU0
  0: 1513282 IO-APIC-edge timer
  1: 7496 IO-APIC-edge i8042
  8: 0 IO-APIC-edge rtc
  9: 0 IO-APIC-fasteoi acpi
 12: 4 IO-APIC-edge i8042
 15: 54300 IO-APIC-edge ide1
 16: 55584 IO-APIC-fasteoi wifi0
 17: 34124 IO-APIC-fasteoi sata_sil24, HDA Intel
 20: 0 IO-APIC-fasteoi uhci_hcd:usb1
 21: 29444 IO-APIC-fasteoi uhci_hcd:usb3, ehci_hcd:usb4
 22: 0 IO-APIC-fasteoi uhci_hcd:usb2
 23: 100001 IO-APIC-fasteoi eth1
 24: 211136 IO-APIC-fasteoi nvidia
NMI: 0
LOC: 1513207
ERR: 0

[ 2241.970348] irq 23: nobody cared (try booting with the "irqpoll" option)
[ 2241.970353]
[ 2241.970354] Call Trace:
[ 2241.970356] <IRQ> [<ffffffff8026aaae>] __report_bad_irq+0x1e/0x80
[ 2241.970382] [<ffffffff8026ad93>] note_interrupt+0x283/0x2c0
[ 2241.970400] [<ffffffff8026b8fd>] handle_fasteoi_irq+0xdd/0x110
[ 2241.970412] [<ffffffff8020c6ab>] do_IRQ+0x7b/0x100
[ 2241.970420] [<ffffffff8020a3a1>] ret_from_intr+0x0/0xa
[ 2241.970427] [<ffffffff803a8be0>] pci_conf1_read+0x0/0x110
[ 2241.970445] [<ffffffff8023b5a4>] __do_softirq+0x54/0xe0
[ 2241.970463] [<ffffffff8020b01c>] call_softirq+0x1c/0x30
[ 2241.970470] [<ffffffff8020c445>] do_softirq+0x35/0x90
[ 2241.970475] [<ffffffff8020c6b0>] do_IRQ+0x80/0x100
[ 2241.970483] [<ffffffff8020a3a1>] ret_from_intr+0x0/0xa
[ 2241.970486] <EOI>
[ 2241.970513] handlers:
[ 2241.970516] [<ffffffff880f5d10>] (rhine_interrupt+0x0/0xc70 [via_rhine])
[ 2241.970524] Disabling IRQ #23

Jeremy Bar (j.b) wrote :

Attached the output of dmidecode.

Jeremy Bar

Jeremy Bar (j.b) wrote :

Also, I had the exact same problem with Ubuntu 7.04.

Regards,
Jeremy Bar

booting with the "irqpoll" option makes it work for me.

Dag Rende (dag-s) wrote :

Yes, irqpoll works, but the mousepad gets almost useless as it lags at the start of each movement.

I've hadn't had any problem like that. I've been booting with irqpoll for 2 days and mostly been using the touchpad.
Got a T61

Same here. The issue with the touchpad doesn't affect me.

2007/11/25, Pascal d'Hermilly <email address hidden>:
>
> I've hadn't had any problem like that. I've been booting with irqpoll for
> 2 days and mostly been using the touchpad.
> Got a T61
>
> --
> kernel disables irq after 10 minutes
> https://bugs.launchpad.net/bugs/126369
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Henrik Nilsen Omma (henrik) wrote :

This will be retargeted towards the Hardy kernel once it is released. I've tagged this as "hardy-kernel-candidate" so that we make sure to retarget this report once the new release is out. However against the linux-source-2.6.22 package this is being marked as "Won't Fix" as it does not meet the criteria for a stable release update. To learn more about the stable release update process please refer to https://wiki.ubuntu.com/StableReleaseUpdates . Thanks!

Henrik, just a question: How can you decide whether a fix for this bug meets a release criteria considering that there is no fix available yet to judge ? :-)

We still don't know what the problem is, it'seems to be a HW issue and there is no good workaround available neither at the moment (and irqpoll
is certainly not a useable workaround).

Once the problem is found, the fix may be as simple as a BIOS update, in which case there is just no point triaging it like that, or could be a one liner quirk,
which could easily be applied to a stable release as this is a pretty severe bug... but we can't tell, we just don't know yet.

I'm not confident that the following will help as some people have commented on running newer kernels from mainline, but . . . . The Hardy Heron kernel was recently uploaded for testing. We'd really appreciate it if you could try testing with this newer kernel and verify if this issue still exists. Unfortunately, the Hardy Heron Alpha1 LiveCD was released with the older 2.6.22 kernel. You'll have to manually install the newer Hardy Heron kernel in order to test. This should not be the case for Alpha2. However, here are the instructions to install (if you choose to do so):

1) edit the file /etc/apt/sources.list and add the following line:

deb http://archive.ubuntu.com/ubuntu hardy main restricted

2) sudo apt-get update
3) sudo apt-get install linux-image-2.6.24-1-generic
4) reboot and select the new kernel from the grub menu

After you've tested, please feel free to revert back - ie boot into the old kernel, sudo apt-get remove linux-image-2.6.24-1-generic, and remove the line from /etc/apt/sources.list . Please update this report with your results. Thanks in advance!

Changed in linux:
importance: Undecided → High
status: New → Incomplete
Michael R. Head (burner) wrote :

OK, tried 2.6.24-1-generic. No help:

Dec 4 14:18:08 phoenix syslogd 1.4.1#21ubuntu3: restart.
Dec 4 14:18:08 phoenix kernel: Inspecting /boot/System.map-2.6.24-1-generic
Dec 4 14:18:08 phoenix kernel: Loaded 27258 symbols from /boot/System.map-2.6.24-1-generic.
Dec 4 14:18:08 phoenix kernel: Symbols match kernel version 2.6.24.
Dec 4 14:18:08 phoenix kernel: No module symbols loaded - kernel modules not enabled.
Dec 4 14:18:08 phoenix kernel: [ 0.000000] Linux version 2.6.24-1-generic (buildd@rothera) (gcc version 4.2.3 20071123 (prerelease) (Ubuntu 4.2.2-3ubuntu4)) #1 SMP Thu Nov 29 19:24:45 GMT 2007 (Ubuntu 2.6.24-1.1-generic)
...
Dec 4 14:28:14 phoenix kernel: [ 563.387424] irq 23: nobody cared (try booting with the "irqpoll" option)
Dec 4 14:28:14 phoenix kernel: [ 563.387438] Pid: 0, comm: swapper Not tainted 2.6.24-1-generic #1
Dec 4 14:28:14 phoenix kernel: [ 563.387469] [__report_bad_irq+36/128] __report_bad_irq+0x24/0x80
Dec 4 14:28:14 phoenix kernel: [ 563.387492] [note_interrupt+635/704] note_interrupt+0x27b/0x2c0
Dec 4 14:28:14 phoenix kernel: [ 563.387508] [<f887bb0b>] usb_hcd_irq+0x2b/0x60 [usbcore]
Dec 4 14:28:14 phoenix kernel: [ 563.387555] [handle_IRQ_event+48/96] handle_IRQ_event+0x30/0x60
Dec 4 14:28:14 phoenix kernel: [ 563.387571] [handle_fasteoi_irq+134/224] handle_fasteoi_irq+0x86/0xe0
Dec 4 14:28:14 phoenix kernel: [ 563.387583] [do_IRQ+59/112] do_IRQ+0x3b/0x70
Dec 4 14:28:14 phoenix kernel: [ 563.387595] [acpi_hw_register_read+216/298] acpi_hw_register_read+0xd8/0x12a
Dec 4 14:28:14 phoenix kernel: [ 563.387608] [common_interrupt+35/48] common_interrupt+0x23/0x30
Dec 4 14:28:14 phoenix kernel: [ 563.387623] [native_set_wallclock+235/432] native_set_wallclock+0xeb/0x1b0
Dec 4 14:28:14 phoenix kernel: [ 563.387634] [<f884a36b>] acpi_idle_enter_bm+0x25b/0x2ce [processor]
Dec 4 14:28:14 phoenix kernel: [ 563.387660] [cpuidle_idle_call+124/176] cpuidle_idle_call+0x7c/0xb0
Dec 4 14:28:14 phoenix kernel: [ 563.387672] [cpu_idle+69/208] cpu_idle+0x45/0xd0
Dec 4 14:28:14 phoenix kernel: [ 563.387697] =======================
Dec 4 14:28:14 phoenix kernel: [ 563.387700] handlers:
Dec 4 14:28:14 phoenix kernel: [ 563.387703] [<f887bae0>] (usb_hcd_irq+0x0/0x60 [usbcore])
Dec 4 14:28:14 phoenix kernel: [ 563.387737] Disabling IRQ #23

Changed in linux:
assignee: nobody → ubuntu-kernel-team
status: Incomplete → Triaged

Dag rende wrote:
> Yes, irqpoll works, but the mousepad gets almost useless as it lags at the start of each movement.

If I disable my wireless with the hardware button I also experience this problem.

Christian Lachner (gladiac) wrote :

There is a new BIOS-Update available for the R61/T61's (2.07/1.08) which is
supposed to fix the interrupt problem.
http://www-307.ibm.com/pc/support/site.wss/document.do?sitestyle=lenovo&lndocid=MIGR-67989

Hopefully that annoying bug is finally fixed - TESTING :)

cheers

Nemanja Stefanovic (nemik) wrote :

Thank you Christian!

I tried the BIOS update and it fixes this bug. No more interrupts and the side USB slots work perfectly.

Christian Lachner (gladiac) wrote :

I have been working with my T61 the whole day using the new BIOS and as far as I can tell the problem seems to be really gone! IMHO if some more people have the same experience and the guys at kernel.org ( http://bugzilla.kernel.org/show_bug.cgi?id=8853 ) also don't have any problems, that super-troublesome bug can finally be closed. Thank you guys for the great support and Lenovo for pushing out that neat update :).

Mike Gratton (mjog) wrote :

I'm having the same problem with the latest BIOS version for my X61s, but the BIOS update above is only for the T6x's.

Does anyone know of a contact address at Lenovo where is sort of thing can be reported?

I do and I have already reported that the problem isn't solved on X61 (see updates to the kernel bugzilla entry)

Closing invalid Hardy task against linux-source-2.6.22. linux-source-2.6.22 was the kernel source package for Gutsy. 'linux' is the Hardy kernel source package. Thanks.

Changed in linux-source-2.6.22:
status: Triaged → Invalid
Amit Kucheria (amitk) wrote :

Marking invalid since this obviously looks like a BIOS bug

Changed in linux:
status: Triaged → Invalid
Changed in linux:
status: In Progress → Invalid

Solved by a Lenovo BIOS upgrade which is now available for X61t machines as well. See here: http://www-307.ibm.com/pc/support/site.wss/document.do?sitestyle=lenovo&lndocid=MIGR-68005
The following changelog line is relevant to this bug:

Version 7SET23WW (1.09)
    * (Fix) Unexpected interrupts from the USB controller may occur. (BIOS)

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

Changed in linux:
importance: Unknown → Medium
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.